SET(CMAKE_SYSTEM_NAME Generic)
SET(CMAKE_SYSTEM_VERSION 1)
SET(CMAKE_SYSTEM_PROCESSOR __TriCore__)

# add __TriCore__ to compiler flags
add_definitions(-D__TriCore__)
add_definitions(-DEMBB_OS_FREERTOS)
# add __TriCore__ to cmake flags
set(__TriCore__ 1)
set(EMBB_OS_FREERTOS 1)

# specify the cross compiler
SET(CMAKE_C_COMPILER   C:/HighTec/toolchains/tricore/v4.6.6.0-infineon-1.1/bin/tricore-gcc.exe)
SET(CMAKE_CXX_COMPILER C:/HighTec/toolchains/tricore/v4.6.6.0-infineon-1.1/bin/tricore-g++.exe)

# target environment 
SET(CMAKE_FIND_ROOT_PATH  C:/HighTec/toolchains/tricore/v4.6.6.0-infineon-1.1)

# path to FreeRTOS
SET(FREE_RTOS_LIB_PATH C:/Data/Projekte/FreeRTOS_AppKit_TC277)

# search for programs in the build host directories
SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM BOTH)
# for libraries and headers in the target directories
SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY BOTH)
SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE BOTH)